Integrating WombatOAM with Nagios
=================================

- Install Pywombat on the Nagios host as described in the [README](../../README.md).
- Generate configuration for Nagios:
    
    ```
    $ wombat_nagioscfg -s --host <WOMBAT-HOST> --port <WOMBAT-PORT> > wombat.cfg
    ```
    
    Inspect the generated `wombat.cfg` and modify if necessary.
    Put it in the directory where your Nagios configuration files are stored (`etc/nagios/conf.d/` on Debian).
    
- Restart Nagios (`service restart nagios3` or `/etc/init.d/nagios3 restart`).

Troubleshooting
---------------

- Check if the installation of Pywombat is correct: the commands `wombat_check` and `wombat_nagioscfg` should be in the PATH.
- Check if Wombat can be accessed, make sure to use the correct setting for connecting:
```
# wombat_check --help
usage: wombat_check [-h] [-H HOST] [-p PORT] [-s] [--user USER]
                    [--password PASSWORD]

Script to access to WombatOAM functionality

optional arguments:
  -h, --help            show this help message and exit
  -H HOST, --host HOST
  -p PORT, --port PORT
  -s, --https
  --user USER
  --password PASSWORD

# wombat_check --host badhost  check_wombat
WOMBAT CRITICAL Error getting data from Wombat at https://badhost:8443/api/help/about. Reason: <urlopen error [Errno -2] Name or service not known>

# wombat_check --https --host goodhost  check_wombat
WOMBAT OK pre-1.5.1 - 0 alarm(s) present - https://goodhost:8443/
```
- Make sure Nagios has restarted and has loaded the new configuration file.
