# -*- encoding: utf-8 -*-
#

"""
This is Wombat, an operations and maintenance tool for Erlang systems
© 2015, Erlang Solutions Ltd
"""

class Log(object):
    """This class represents a log message in Wombat."""

    def __repr__(self):
        data = self.__dict__.copy()
        del data['wombat']

        return 'Log({!r}, {!r})'.format(self.wombat, data)

    def __str__(self):
        return '{} [{}] {}: {}'. \
            format(self.date, self.severity, self.nodeName, self.message)

    def __init__(self, wombat, data):
        self.wombat = wombat
        self.__dict__.update(data)

    def get_node(self):
        """Return the Node object to which this log messages belongs."""
        return Node(self.wombat, self.nodeId)
