# Wombat on Windows

First note: Wombat WILL run on Windows if tarball was built elsewhere, you
just have to provide Erlang located at a path which contains no spaces. It MAY
possibly work with default Erlang path (the one with spaces at C:/Program Files).

## Building from source on Windows

1. Instal Git x64 for Windows.
1. Install Erlang to `C:/Erlang` (or any other path with no spaces). Add it to 
    system PATH by right clicking on "This Computer" in Explorer and going to 
    advanced settings. Add `c:/Erlang/bin;C:/Erlang/erts-5.10.4/bin` to PATH 
    (or see your correct ERTS version).
1. Install Cygwin. Default settings, enable just development utils. See that it 
    doesn't accidentally mark tex/texlive for install, because it is large and 
    unnecessary (use search field).

## In Cygwin: Building

We use Cygwin to simplify build as it allows running many bash/sh scripts 
natively and complies to POSIX standard much better than Windows does.

1. Add your SSH private key or deploy key to `~/.ssh/id_rsa`, and run 
    `git clone git@github.com:esl/wombat.git`
1. Run make to fetch deps, make will fail.
1. Run make again like this: `make rel WO_AGENT_ERLC=erlc`

## In Windows shell: Running

You can use wombat.bat to run release tarball on Windows. If you do not have
the tarball, you can hook directly onto the `bin/wombat` script:

1. Go to wombat directory (can make a shorter symlink for convenience):
    `c:/cygwin64/home/YOURLOGIN/wombat/rel/wombat/wombat`
1. Run: `sh bin/wombat console`, having sh thanks to msysgit (which comes from
Git on Windows) or cygwin.
