# Developing Wombat on your local machine

1. Check out the repository
2. Download rebar3 from the rebar3.com homepage
    - Make sure you did not install it with brew because that may break under Erlang 18.3
3. Install Erlang 18.3
4. Install npm and nodejs
    - brew install node
5. Run `npm install` in the Wombat root directory
6. Run `make release`
7. Starting Wombat:
`_build/default/rel/wombat/bin/wombat foreground`


# Developing Wombat using docker

1. Check out the repo
2. Install Docker
3. Run `make docker-release`

# How to compile and reload a single Wombat module

Before wombat accepts the reload command you have to run `make start-reload`, so wombat starts listening. Than you can request the recompilation of a single module by running `scripts/compile.sh /absolute/path/to/file.erl`. This will connect to the running wombat node through telnet, compile the requested module, and reload the plugins on the managed nodes as well. Some newer versions of OSX does not have telnet by default, you can solve that by `brew install telnet`.

# How to run unit tests for a single module

Use `scripts/test.sh /absolute/path/to/file.erl` for running unit tests of a single module. This will recompile all necessary modules and run the eunit tests. `/absolute/path/to/file.erl` may either refer to the module source code or the test code for the module.

# Editor integration
You may want to set up your favourite editor to run the `scripts/compile.sh /absolute/path/to/file.erl` or `scripts/test.sh /absolute/path/to/file.erl` scripts on a hotkey.
To use the scripts you will need to have `telnet` if you do not have it, you can install it using `brew install telnet`.

For VS Code users user Tasks are created for that in `.vscode/tasks.json`, so you can set up keyboard shortcuts something like this:
_Note: you might need to put the keybindings into `~/Library/Application Support/Code/User/keybindings.json` if the local `.vscode` folder doesn't works for you._
```
// keybindings.json
[
    {
        "key": "ctrl+alt+cmd+c",
        "command": "workbench.action.tasks.runTask",
        "args": "Compile Wombat module"
    },
    {
        "key": "ctrl+alt+cmd+t",
        "command": "workbench.action.tasks.runTask",
        "args": "Test Wombat module"
    }
]
```

Use `make watch-js` to recompile javascript on save. (It takes some time)

# Mixing Docker and Local development
There are differencies in node_modules built for MacOS and Linux. You will have
to delete the node_modules directory if trying to run something inside docker.
