<!-- -*- markdown -*- -->

# Wombat Release Process

- Decide the new version number, e.g. "1.9.0". All "VERSION" strings below should
  be replaced with this version number.

- Create `wombat/doc/release_notes/release_notes_VERSION.txt`. Update the share
  URL.

- Edit `app.src` and `reltool.config` files and increase the version numbers:

  ```
  sed -i.bak 's/"pre-1.10.0"/"1.10.0"/' apps/*/src/*.app.src rel/*/reltool.config
  ```

- Commit.

- Let Jenkins build the release for you:

  ```
  # Check the git log before pushing!
  $ git push origin dev

  # Go to Jenkins and launch your job, check it succeeds
  ```

- Download the binary release and try it both with the existing database and
  without the database.

- Upload the package into the "WombatDev/Wombat releases" folder in Google
  Drive. Update the "WombatOAM release links" document according to the
  "WombatOAM release links - Update Guide".

- Fast-forward `dev` and `master`; create the version tag:

  ```
  # Go to GitHub, create a PR from you dev and merge it.

  $ git fetch --all -p
  $ git checkout dev
  $ git merge --ff upstream/dev
  $ git checkout master
  $ git merge --ff dev
  $ git tag VERSION

  # Pushing into upstream! Check the git log before pushing!
  $ git push upstream dev
  $ git push upstream VERSION
  ```

- Same with `wombat-docs`:

  ```
  $ git tag VERSION
  $ git push upstream VERSION
  ```

- Send the Release Notes in email.

  - Recipients:

    ```
    wombat-announcements@erlang-solutions.com
    ```

  - Subject:

    - Major release example: Wombat 1.9 released
    - Minor release example: Wombat 1.9.0 released (bugfix release)

- Edit `wombat/rel/*/reltool.config` and modify the version numbers to
  "pre-0.x.y".

- Create a new WombatOAM tile for Pivotal Cloud Foundry, containing the new
  WombatOAM version. Don't forget to raise a PR towards Pivotal about merging
  the changes in the [esl/docs-erlang-wombat][wombat_tile_docs_esl] repository
  to the [pivotal-cf/docs-erlang-wombat][wombat_tile_docs_piv] repository.

[wombat_tile_docs_esl]: https://github.com/esl/docs-erlang-wombat
[wombat_tile_docs_piv]: https://github.com/pivotal-cf/docs-erlang-wombat
