%%% This header file (wo_license.hrl) is automatically generated from
%%% header_template.hrl.

-ifndef(WO_LICENSE_HRL).
-define(WO_LICENSE_HRL, true).

%%------------------------------------------------------------------------------
%% @doc Call the given function in the wo_chk_lic module after checking the
%% module's integrity.
%% @end
%%------------------------------------------------------------------------------
-spec check_wombat_license(FunName :: atom(),
                           Args :: [term()]) -> {ok, Result :: term()} |
                                                {error, Reason :: term()}.
check_wombat_license(F, Args) ->
    CheckResult =
        try
            File = code:which(wo_chk_lic),
            true = is_list(File),
            {ok, {wo_chk_lic, {{{checksum}}} }} = beam_lib:md5(File),
            ok
        catch
            _:Error1 ->
                lager:error(
                    "Error verifying the wo_chk_lic module's integrity: ~p",
                    [Error1]),
                {error, wo_chk_lic_integrity}
        end,

    case CheckResult of
        ok ->
            %% License module is intact and safe to use
            try
                {ok, erlang:apply(wo_chk_lic, F, Args)}
            catch
                _:Error2 ->
                    lager:error(
                      "Error while reading the license: ~p", [Error2]),
                    {error, Error2}
            end;
        {error, _} = Error3 ->
            Error3
    end.

-endif.
