#!/bin/bash

openssl=$(which openssl)
tmp_pem="wombat.pem.$$"
tmp_conf="wombat.conf.$$"

if [ -z "$openssl" ]; then
    echo "Openssl is not installed..."
    echo "Openssl is required to run wombat dashboard in ssl mode"
    exit 1
fi

cd ${0%/*}
cp wombat.conf $tmp_conf
cp wombat.pem $tmp_pem

i=2
for dns in $(hostname 2>/dev/null) $(dnsdomainname 2>/dev/null); do
    echo "DNS.$i = $dns" >> $tmp_conf
    ((i=i+1))
done

i=2
for ip in $(hostname -I 2>/dev/null); do
    echo "IP.$i = $ip" >> $tmp_conf
    ((i=i+1))
done

"$openssl" req -config $tmp_conf -new -x509 -days 365 -key wombat-private-key.key -out wombat.pem
rm $tmp_conf $tmp_pem
