# RESTful API

The WombatOAM Web Dashboard communicates via the WombatOAM server via its RESTful API
(or REST interface) and WebSocket. Each service has a different URL prefix, e.g.
the topology service is served under the `<wombat_server>/api/topo/...` URL.

WombatOAM is shipped with the ability to restrict access to the services by enforcing
authentication. The authentication can be switched to turn off in the configuration
file. If the authentication is turned on, this is the default, each request must
contain valid credentials to be processed, otherwise HTTP 401 code is sent
as response. Otherwise credentials are not required to be sent, although the
server accepts non-existing credentials as well.

The REST interface of each service is documented on a separate page:

- [Authentication (including user management)](authentication_rest.md)
- [Role based information retrieval](tags_rest.md)
- [Topology](topo_rest.md)
- [Node information](node_info_rest.md)
- [Alarms](alarms_rest.md)
- [Notifications](logging_rest.md)
- [Metrics](metrics_rest.md)
- [Services](services_rest.md)
- [Orchestration](orch_rest.md)
- [Bookmarks](bookmarks_rest.md)
- [Front page](front_page_rest.md)
- [Plugins](plugins_rest.md)
- [Other parts](other_rest.md)
