## Upgrading WombatOAM

To upgrade an existing installation of a previous version of WombatOAM:

<ol class="ShellSteps">
  <li>
    <p>Extract the WombatOAM package:</p>
    <pre>tar xfz wombat-[VERSION].tar.gz</pre>
    <pre>cd wombat-[VERSION]</pre>
  </li>
  <li>
    <p>If you would like to use a new license key, copy it to the new WombatOAM
    installation's root directory. (If the version of the old WombatOAM
    installation is 2.0.0-rc1 or earlier, this is necessary.) If you would
    like to use the same license key as in the old installation, then skip this
    step.</p>
    <pre>cp .../my.lic_key .</pre>
  </li>
  <li>
    <p>Execute the following command:</p>
    <pre>./wombat upgrade</pre>
    <p>You will have to input the previous Wombat installation directory.</p>
  </li>
  <li>
    <p>The script will perform the upgrade and after running it you can start WombatOAM.</p>
  </li>
</ol>

The command `./wombat upgrade` will preserve your collected data and custom
configuration (in your old `_build/default/rel/wombat/files/wombat.config` file). It will copy
the old license from the old installation. Backups are created to the `backups`
directory from the current installation.