## builtin_*_metrics plugins

### Description

The `builtin_*_metrics` plugin are responsible for providing the general
available metrics for a managed node. These metrics are described in
the section "[Metrics]".

### Applications it depends on

`kernel`

### Modules

- `wombat_plugin_builtin_memory_metrics`
- `wombat_plugin_builtin_ports_io_metrics`
- `wombat_plugin_builtin_runtime_process_metrics`
- `wombat_plugin_builtin_time_scheduler_metrics`
- `wombat_plugin_builtin_nodes_metrics`
- `wombat_plugin_builtin_metrics_lib`

### Reports

For descriptions of the metrics that are generated, see the section "[Metrics]".

### Configuration options

`port_type_counters_mode` in 'wombat_plugin_builtin_ports_io_metrics' Specifies 
which metrics should be reported based on the types of Erlang ports. 
If `simple`, then only the following three metrics
will be reported in the IO category:

* "Number of open SCTP sockets"
* "Number of open TCP sockets"
* "Number of open UDP sockets"

If `detailed`, then additionally each port type X will have its own metric
called "Number of open X ports" in the "Node / Port info" category.

The default value is `simple`.

#### Example wombat.config entry

```erlang
{set, wo_plugins, plugins, builtin_ports_io_metrics, port_type_counters_mode, detailed}.
```

[Metrics]: ../metrics.md

<!--
### Usage

#### Resource use

- Some of the metrics collection can be quite expensive. Metric samples
arecollected usually per minute, but turning on live metrics increases
the frequency and therefore the overhead on the system.

#### Stopping monitoring

If one of theses plugins is switched off, the general metrics available in that plugin for the managed
node will be unavailable.
-->
