## cowboy plugin

### Description

The `cowboy` plugin reports metrics from requests performed to the endpoints
defined in the `cowboy` application. When the plugin starts, it processes all
registered routes and creates a metrics combining each route with every single
HTTP method (i.e. `GET`, `POST`, `PUT`). Additionally metrics for
each type of response status code is also created (i.e. `100`, `200`, `300`,
`400` and `500`).

### Applications it depends on

`cowboy`

The plugin only works with version 1.x.

### Modules

`wombat_plugin_cowboy`, `wombat_plugin_cowboy_common`

### Reports

#### Metrics reported

**Cowboy Request Count** category: these metrics show the number of requests
performed with a certain HTTP code or with a certain method and endpoint.

- `HTTP 1xx`
  Tags : `dev`

- `HTTP 2xx`
  Tags: `dev`, `op`

- `HTTP 3xx`
  Tags: `dev`

- `HTTP 4xx`
  Tags: `dev`, `op`

- `HTTP 5xx`
  Tags: `dev`, `op`

- `[HTTP-METHOD] /ROUTE`
  Tags: `dev`

Where `HTTP-METHOD` is one of `GET`, `POST`, `PUT`; and `ROUTE` is one of
the routes defined through Cowboy.

**Cowboy Response Time [ms]** category: these metrics show the average response
time performed with a certain method and endpoint.

- `Avg. [HTTP-METHOD] /ROUTE`
  Tags: `dev`

Where `HTTP-METHOD` is one of `GET`, `POST`, `PUT`; and `ROUTE` is one of
the routes defined through Cowboy.
