## error_logger plugin

### Description

The `error_logger` plugin subscribes to the `error_logger` event manager and
reports the log events and the number of log events as metrics to WombatOAM. It
does not deal with the events on `error_logger` that are reported to the SASL
handler.

The metrics correspond to the number of events per severity level as generated
by the error_logger. The various severity levels being `info`, `error` and
`warning`. The plugin allows the user to enable or disable collecting
notifications and metrics. The plugin will only report notifications and metrics
that have a severity level either equal to or higher than the severity level
chosen by the user.

### Applications it depends on

`kernel`

### Modules

- `wombat_plugin_error_logger`
- `wombat_plugin_elogger_handler`

### Reports

The plugin reports logs/notifications and the following metrics to WombatOAM.

- `SASL error events`
  Tags: `dev`, `op`

- `SASL warning events`
  Tags: `dev`, `op`

- `SASL information events`
  Tags: `dev`

These metrics show the number of log entries captured by WombatOAM on different log
levels. Note that WombatOAM collects log entries on warning level and above by
default, so the value of the "SASL information events" metric will be zero.
(Unless this default log level is set to a lower value.)

### Configuration options

The decision to receive notifications or metrics or both is configurable.

* `report_notifications` (boolean, default: true): Specifies whether the
WombatOAM server should receive the error_logger notifications.
* `report_metrics` (boolean, default: true): Specifies whether the WombatOAM
server should receive the values for the above mentioned metrics.

#### Example wombat.config entries

```erlang
{set, wo_plugins, plugins, error_logger, report_notifications, true}.
{set, wo_plugins, plugins, error_logger, report_metrics, true}.
```

<!--
### Usage

#### Resource use

It does not use a lot of resources, unless of course the monitored node does a lot
of logging through the `error_logger`

#### Stopping monitoring

If the user stops this plugin, it will not be possible to see the logs from
`error_logger` on the dashboard anymore. However, this logs might still be seen
if they get reported by the `lager` plugin, if the monitored node uses `lager`.
-->
