## lager plugin

### Description

The `lager` plugin subscribes to the lager application running on
the managed node and is capable of reporting all the notifications/logs
generated by it to WombatOAM. By default, it starts itself reporting at
the `warning` level; this can be changed using the options shown on
the WombatOAM dashboard.

### Applications it depends on

`lager`

### Modules

`wombat_plugin_lager` and `wombat_plugin_lager_handler`

### Reports

The plugin reports logs/notifications and the following metrics to WombatOAM in the
"Lager notifications" category:

- `Lager debug events`
  Tags: `dev`

- `Lager info events`
  Tags: `dev`

- `Lager notice events`
  Tags: `dev`

- `Lager warning events`
  Tags: `dev`, `op`

- `Lager error events`
  Tags: `dev`, `op`

- `Lager critical events`
  Tags: `dev`, `op`

- `Lager alert events`
  Tags: `dev`, `op`

- `Lager emergency events`
  Tags: `dev`, `op`


These metrics show the number of log entries captured by WombatOAM on different log
levels. Note that WombatOAM collects log entries on warning level and above by
default, so the value of the debug, info and notice metrics will be zero.
(Unless this default log level is set to a lower value.)

### Configuration options

* `report_metrics` (boolean, default: true): Specifies whether the WombatOAM server
  should receive the values for the above mentioned metrics.

#### Example wombat.config entry

```erlang
{set, wo_plugins, plugins, lager, report_metrics, true}.
```
