## node_info plugin

### Description

This plugin generates the information about added nodes displayed under
the Topology page on the dashboard. This information is a list of
mostly static parameters that relate to the characteristics of the node.
These values are checked and reported to WombatOAM on a very low frequency once
the node has started.

### Applications it depends on

`kernel`

### Modules

`wombat_plugin_node_info.erl`

### Reports

The plugin doesn't report any metrics, alarms, or logs. It is used for 
displaying information about the nodes managed in WombatOAM.

Note: If this plugin is turned off, any values that change will not be
updated on the dashboard. 

### Configuration options

`node_info_period`

The period used to report the list of values to the dashboard
in milliseconds. Due to the values being mostly static, this should be a rather
big number to avoid unnecessary calls on the managed node.

#### Example wombat.config entry

```erlang
{set, wo_plugins, plugins, node_info, node_info_period, 60000}.
```

<!--
### Usage

#### Resource use

The resource usage is very low since the parameters are retrieved on a big
interval and the cost of each check is low as well.

#### Stopping monitoring

Once the node is added this plugin will be started and automatically it will
report a first list of parameters and values. If then it is stopped, those
values will not be updated anymore. Most of this values are static, so the user
will most likely will not notice any difference when turning this plugin off.
-->
