## telemetry plugin

### Description

The plugin detect every event that has been executed at least once with tracing. Metrics are extracted from the `event_measurement`, 2nd argument of the `telemetry:execute/2-3` function. The first metrics appear 7 seconds after the plugin started. The values are stored in the `wombat_plugin_telemetry` ets table, therefore after restarting WombatOAM only the available metrics will remain visible in the Metrics page. In order to see the proper values of the counters, it is recommended to visualize them in delta mode if necessary.

#### Reporting Metrics

The `plugin` detects if the event uses the `telemetry_metrics` library and based on the information the `plugin` generates the proper name for that event and gathers its values to report them as metrics to WombatOAM. Furthermore, the `telemetry plugin` detects counters as well. Those metrics are stored in a separate ets table called `wombat_plugin_telemetry_counters`. In addition, WombatOAM reports events that has no numeric values assigned or not recognisable as counters. All metrics are reported with `dev` tag.

#### Name Of The Metrics

As mentiond above the `plugin` detects if the event uses the `telemetry_metrics` library. In that case the name parameter is used to define the metrics.

In other cases the event name and the key of event measurement map are used.  The key does not have to be a atom. The atom list (the name of the event and the key of the event measurement map) is converted to a binary where the atoms are connected with a `_` character.

### Application it depends on

`telemetry`
Recommended version is 0.4.0 or above.

### Modules

`wombat_plugin_telemetry`
`wombat_plugin_telemetry_handler`

### Reports

The plugin reports the following metric to WombatOAM:
- `Number of Events`
    Tags: `dev`, `op`
The metrics shows all available events stored in the `telemetry_handler_table`. Additional metrics are going to appear as they are getting executed with the same tags.

### Notifications

WombatOAM sends two types of notifications:
- info: `All events have values assigned!` means no event has non-numeric values.
- warning: `Telemetry module metrics have no values assigned: []` shows a list of events without numeric values. These are not gauges, nor counters.

### Configuration options
None.