# WombatOAM debug script

This script is to be used to collect some information about a running WombatOAM
instance, as a tarred file of the name `debug_<current_date_and_time>.tar.gz`
into a directory called `debug`.
Following are the information collected.

* logs: All the files under the directory `rel/wombat/wombat/log`. The source
  directory structure is preserved.

* data: The disk usage information of all the files under the directory
  `rel/wombat/wombat/data` will be stored in a file called `data_file_sizes`.

* config: The entire directory `rel/wombat/files`. The source directory
  structure is preserved. The following vm.args files are copied as well

  - rel/common/vm.args is copied as vm.args.template.
  - rel/wombat/wombat/releases/pre-2.0.1/vm.args is copied as vm.args.

* system commands: The output of some system commands will be stored under the
  directory `system_commands`. Each command has its own ASCII text file that has
  the command that was executed, the output of the command and the result of
  executing the command.

* root system commands: Similar to system commands above, but these need root
  privileges.

  So, for example, if the command `uname -a` is executed, then a file called
  `uname_a` will be created with the following content:

```
command:uname -a
Linux localhost 3.13.0-24-generic #46-Ubuntu SMP Thu Apr 10 19:08:14
  UTC 2014 i686 i686 i686 GNU/Linux`
return_value:0`
```

  Following are the system commands that are executed.

  - `uname -a`
  - `ifconfig`
  - `hostname`
  - `w`
  - `date`
  - `df`
  - `df -i`
  - `dmesg`
  - `iostat -mx`
  - `last`
  - `mount`
  - `netstat -an`
  - `netstat -i`
  - `netstat -rn`
  - `ps aux`
  - `sysctl -a`
  - `lsb_release -a` (only on Linux)

  Following are the root system commands that are executed.

  - `iptables -L -t nat` (only on Linux)
  - `iptables -L` (only on Linux)

